assignments
Get apiv1assignments
GET
/
api
/
v1
/
assignments
/
{assignmentId}
cURL
curl --request GET \
--url https://tessera.edstratumlabs.ai/api/v1/assignments/{assignmentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://tessera.edstratumlabs.ai/api/v1/assignments/{assignmentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tessera.edstratumlabs.ai/api/v1/assignments/{assignmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"moduleId": "<string>",
"courseId": "<string>",
"title": "<string>",
"position": 1,
"status": "draft",
"publishedAt": "<string>",
"dueAt": "<string>",
"points": 1,
"submissionType": "text",
"rubric": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"levels": [
{
"id": "<string>",
"title": "<string>",
"points": 1,
"description": "<string>"
}
]
}
],
"instructions": [
{
"id": "<string>",
"lessonId": "<string>",
"position": 4503599627370495,
"origin": "human",
"aiState": "draft",
"provenance": {
"model": "<string>",
"task": "brief",
"generatedAt": "<string>",
"sources": [
{
"id": "<string>",
"name": "<string>"
}
],
"summary": "<string>"
},
"previous": {
"type": "heading",
"level": 2,
"text": "<string>"
},
"updatedAt": "<string>",
"type": "heading",
"level": 2,
"text": "<string>"
}
]
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthenticated",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
Scoped tsk_… API token or Access JWT
Path Parameters
Minimum string length:
1Response
Success
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Required range:
x >= 0Available options:
draft, published Minimum string length:
1Minimum string length:
1Required range:
x >= 0Available options:
text, file, link Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
Show child attributes
Show child attributes
⌘I
cURL
